
<?php

/**
 * Implement hook_views_data
 *
 */
function log_user_updates_views_data() {
    $data = array();
    $data['user_update_history']['table']['group'] = t('User Log History');

    $data['user_update_history']['table']['base'] = array(
        'field' => 'id', // This is the identifier field for the view.
        'title' => t('User Log History'),
        'help' => t('User Log History'),
        'weight' => -10,
        'description' => 'Updated user history',
    );


    $data['user_update_history']['table']['join'] = array(
        'users' => array(
            'left_field' => 'uid',
            'field' => 'updated_uid',
        ),
    );
    $data['user_update_history']['table']['join'] = array(
        'users' => array(
            'left_field' => 'uid',
            'field' => 'updated_by_uid',
        ),
    );

    $data['user_update_history']['updated_uid'] = array(
        'title' => t('Updated user id'),
        'help' => t('This user was updated'),
        'filter' => array(
            'handler' => 'views_handler_filter_string',
        ),
        'field' => array(
            'handler' => 'views_handler_field',
            'click sortable' => TRUE,
        ),
        'sort' => array(
            'handler' => 'views_handler_sort',
        ),
        'argument' => array(
            'handler' => 'views_handler_argument',
        ),
        'relationship' => array(
            'base' => 'users',
            'base field' => 'uid', 
            'handler' => 'views_handler_relationship',
            'label' => t('Updated user'),
        ),
    );
    $data['user_update_history']['updated_by_uid'] = array(
        'title' => t('User Id who Updated'),
        'help' => t('By this User other user account/profile was updated'),
        'field' => array(
            'handler' => 'views_handler_field',
            'click sortable' => TRUE,
        ),
        'filter' => array(
            'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
            'handler' => 'views_handler_sort',
        ),
        'argument' => array(
            'handler' => 'views_handler_argument',
        ),
        'relationship' => array(
            'base' => 'users',
            'base field' => 'uid', 
            'handler' => 'views_handler_relationship',
            'label' => t('Updated By'),
        ),
    );
    $data['user_update_history']['updated'] = array(
        'title' => t('Updated Time'),
        'help' => t('Updated time of User account'),
        'field' => array(
            'handler' => 'views_handler_field_date',
            'click sortable' => TRUE,
            'is date' => TRUE,
        ),
        'filter' => array(
            'handler' => 'views_handler_filter_string',
        ),
        'sort' => array(
            'handler' => 'views_handler_sort',
        ),
        'argument' => array(
            'handler' => 'views_handler_argument',
        ),
    );

    return $data;
}
